import request from '@/utils/request'

// 查询文件列表
export function getFileList(query) {
  return request({
    url: '/file/info/list',
    method: 'get',
    params: query
  })
}
//删除文件
export function delFile(fileIds){
    return request({
        url: `/file/info/${fileIds}`,
        method: 'DELETE'
      })
}
//上传文件
export function uploadFile(data){
    return request({
        url:"/file/info",
        data:data,
        method: 'post'
    })
}
//获取文件详细信息
export function getFileInfo(fileId){
    return request({
        url:`/file/info/${fileId}`,
        method:'get',

    })
}